<?php


namespace App\ViewModels\Especialidade\EspecialidadeUpdateViewModel;

use App\Utils\Builder;

class EspecialidadeUpdateViewModelBuilder implements Builder
{

    protected $descricao;

    public function setDescricao(string $descricao) : EspecialidadeUpdateViewModelBuilder
    {
        $this->descricao = $descricao;
        return $this;
    }

    public function build() : EspecialidadeUpdateViewModel
    {
        $especialidade_registration_vm = New EspecialidadeUpdateViewModel();
        $especialidade_registration_vm->setDescricao($this->descricao);
        return $especialidade_registration_vm;
    }


}